This is a Laravel 5 package that provides bgtest management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bgtest/bgtest`.

    "bgtest/bgtest": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Bgtest\Bgtest\Providers\BgtestServiceProvider::class,

```

And also add it to alias

```php
'Bgtest'  => Bgtest\Bgtest\Facades\Bgtest::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Bgtest\Bgtest\Providers\BgtestServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Bgtest\Bgtest\Providers\BgtestServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Bgtest\Bgtest\Providers\BgtestServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Bgtest\Bgtest\Providers\BgtestServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Bgtest\Bgtest\Providers\BgtestServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Bgtest\Bgtest\Providers\BgtestServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


