<?php

// Admin  routes  for activity_log
Route::group(['prefix' => '/admin/bgtest'], function () {
    Route::put('news/workflow/{activity_log}/{step}', 'ActivityLogAdminController@putWorkflow');
    Route::resource('activity_log', 'ActivityLogAdminController');
});


// User  routes for activity_log
Route::group(['prefix' => '/user/bgtest'], function () {
    Route::resource('activity_log', 'ActivityLogUserController');
});

// Public  routes for activity_log
Route::group(['prefix' => '/bgtests'], function () {
    Route::get('news/workflow/{activity_log}/{step}/{user}', 'ActivityLogController@getWorkflow');
    Route::get('/', 'ActivityLogPublicController@index');
    Route::get('/{slug?}', 'ActivityLogPublicController@show');
});


