<?php

namespace Bgtest\Bgtest;

use User;

class Bgtest
{
    /**
     * $activity_log object.
     */
    protected $activity_log;

    /**
     * Constructor.
     */
    public function __construct(\Bgtest\Bgtest\Interfaces\ActivityLogRepositoryInterface $activity_log)
    {
        $this->activity_log = $activity_log;
    }

    /**
     * Returns count of bgtest.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.activity_log.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->activity_log->pushCriteria(new \Litepie\Bgtest\Repositories\Criteria\ActivityLogUserCriteria());
        }

        $activity_log = $this->activity_log->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('bgtest::' . $view, compact('activity_log'))->render();
    }
}
