<?php

use Illuminate\Database\Seeder;

class ActivityLogTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('activity_logs')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bgtest.activity_log.view',
                'name'      => 'View ActivityLog',
            ],
            [
                'slug'      => 'bgtest.activity_log.create',
                'name'      => 'Create ActivityLog',
            ],
            [
                'slug'      => 'bgtest.activity_log.edit',
                'name'      => 'Update ActivityLog',
            ],
            [
                'slug'      => 'bgtest.activity_log.delete',
                'name'      => 'Delete ActivityLog',
            ],
            /*
            [
                'slug'      => 'bgtest.activity_log.verify',
                'name'      => 'Verify ActivityLog',
            ],
            [
                'slug'      => 'bgtest.activity_log.approve',
                'name'      => 'Approve ActivityLog',
            ],
            [
                'slug'      => 'bgtest.activity_log.publish',
                'name'      => 'Publish ActivityLog',
            ],
            [
                'slug'      => 'bgtest.activity_log.unpublish',
                'name'      => 'Unpublish ActivityLog',
            ],
            [
                'slug'      => 'bgtest.activity_log.cancel',
                'name'      => 'Cancel ActivityLog',
            ],
            [
                'slug'      => 'bgtest.activity_log.archive',
                'name'      => 'Archive ActivityLog',
            ],
            */
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/bgtest/activity_log',
                'name'        => 'ActivityLog',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/bgtest/activity_log',
                'name'        => 'ActivityLog',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'activity_log',
                'name'        => 'ActivityLog',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'bgtest.activity_log.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
