<div class="container">
    <h1> ActivityLogs</h1>

    <div class="row">
        <div class="col-md-8">
            @forelse($activity_logs as $activity_log)
            <div class="card-box">
                <div class="row">
                    <div class="col-md-6">
                        <h4 class="text-dark  header-title m-t-0"> {!! $activity_log['name'] !!} </h4>
                    </div>
                    <div class="col-md-6">
                        <a href="{{ trans_url('bgtest') }}/{!! $activity_log->getPublicKey() !!}" class="btn btn-default pull-right"> {{ trans('app.details')  }}</a>
                    </div>
                </div>
                <hr/>

                <div class="row">
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="log_name">
                    {!! trans('bgtest::activity_log.label.log_name') !!}
                </label><br />
                    {!! $activity_log['log_name'] !!}
            </div>
        </div>
        <div class="col-md-4 col-sm-6">
            <div class"form-group">
                <label for="description">
                    {!! trans('bgtest::activity_log.label.description') !!}
                </label><br />
                    {!! $activity_log['description'] !!}
            </div>
        </div>
    </div>
            </div>
            @empty
            <div class="card-box">
                <p class="text-muted m-b-25 font-13">
                    Your search for <b>'{{Request::get('search')}}'</b> returned empty result.
                </p>
            </div>
            @endif
            {{$bgtests->render()}}
        </div>
        <div class="col-md-4">
            @include('bgtest::public.activity_log.aside')
        </div>
    </div>
</div>