<?php

namespace Bgtest\Bgtest\Repositories\Eloquent;

use Bgtest\Bgtest\Interfaces\ActivityLogRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ActivityLogRepository extends BaseRepository implements ActivityLogRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bgtest.bgtest.activity_log.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bgtest.bgtest.activity_log.model');
    }
}
