<?php

namespace Bgtest\Bgtest\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ActivityLogItemTransformer extends TransformerAbstract
{
    public function transform(\Bgtest\Bgtest\Models\ActivityLog $activity_log)
    {
        return [
            'id'                => $activity_log->getRouteKey(),
            'log_name'          => $activity_log->log_name,
            'description'       => $activity_log->description,
            'status'            => trans('app.'.$activity_log->status),
            'created_at'        => format_date($activity_log->created_at),
            'updated_at'        => format_date($activity_log->updated_at),
        ];
    }
}